org.apache.tinkerpop.gremlin.process.traversal.translator

## Class PythonTranslator.NoSugarTranslator

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.Translator.ScriptTranslator.AbstractTypeTranslator
  - - org.apache.tinkerpop.gremlin.process.traversal.translator.PythonTranslator.DefaultTypeTranslator
    - - org.apache.tinkerpop.gremlin.process.traversal.translator.PythonTranslator.NoSugarTranslator

- All Implemented Interfaces:
    BiFunction<String,Object,Script>, Translator.ScriptTranslator.TypeTranslator
  Enclosing class:
    PythonTranslator

      public static class PythonTranslator.NoSugarTranslator
      extends PythonTranslator.DefaultTypeTranslator

  Performs translation without for the syntax sugar to Python.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.Translator.ScriptTranslator.AbstractTypeTranslator

      `ANONYMOUS_TRAVERSAL_PREFIX, script, withParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSugarTranslator(boolean withParameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Script` | `produceScript(String traversalSource, Bytecode o)` Take the `Bytecode` and writes the syntax directly to the member `Translator.ScriptTranslator.AbstractTypeTranslator.script` variable.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.translator.PythonTranslator.DefaultTypeTranslator

      `getNullSyntax, getSyntax, getSyntax, getSyntax, getSyntax, getSyntax, getSyntax, getSyntax, getSyntax, getSyntax, getSyntax, produceScript, produceScript, produceScript, produceScript, produceScript, produceScript, produceScript, produceScript, produceScript, produceScript, resolveSymbol`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.Translator.ScriptTranslator.AbstractTypeTranslator

      `apply, convertToScript, getAnonymousTraversalPrefix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Constructor Detail

    - #### NoSugarTranslator

          public NoSugarTranslator(boolean withParameters)

  - ### Method Detail

    - #### produceScript

          protected Script produceScript(String traversalSource,
                                         Bytecode o)

      Description copied from class: `Translator.ScriptTranslator.AbstractTypeTranslator`
      Take the `Bytecode` and writes the syntax directly to the member `Translator.ScriptTranslator.AbstractTypeTranslator.script` variable.
      Overrides:
        `produceScript` in class `PythonTranslator.DefaultTypeTranslator`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.